summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-apache/mod_depends
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-apache/mod_depends')
-rw-r--r--www-apache/mod_depends/Manifest1
-rw-r--r--www-apache/mod_depends/files/0.7/09_mod_depends.conf5
-rw-r--r--www-apache/mod_depends/metadata.xml5
-rw-r--r--www-apache/mod_depends/mod_depends-0.7.0_p200702041.ebuild37
4 files changed, 48 insertions, 0 deletions
diff --git a/www-apache/mod_depends/Manifest b/www-apache/mod_depends/Manifest
new file mode 100644
index 00000000000..6d6820131da
--- /dev/null
+++ b/www-apache/mod_depends/Manifest
@@ -0,0 +1 @@
+DIST mod_depends-0.7.0_p200702041.tar.bz2 232205 SHA256 726c3a6f188ce8cd6e55241bef16146824694c4ed24bbb0b469df03f2c5f32a4
diff --git a/www-apache/mod_depends/files/0.7/09_mod_depends.conf b/www-apache/mod_depends/files/0.7/09_mod_depends.conf
new file mode 100644
index 00000000000..ff2226e7407
--- /dev/null
+++ b/www-apache/mod_depends/files/0.7/09_mod_depends.conf
@@ -0,0 +1,5 @@
+<IfDefine DEPENDS>
+LoadModule depends_module modules/mod_depends.so
+</IfDefine>
+
+# vim: ts=4 filetype=apache
diff --git a/www-apache/mod_depends/metadata.xml b/www-apache/mod_depends/metadata.xml
new file mode 100644
index 00000000000..4538a68724a
--- /dev/null
+++ b/www-apache/mod_depends/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
+</pkgmetadata>
diff --git a/www-apache/mod_depends/mod_depends-0.7.0_p200702041.ebuild b/www-apache/mod_depends/mod_depends-0.7.0_p200702041.ebuild
new file mode 100644
index 00000000000..c1136c44cc1
--- /dev/null
+++ b/www-apache/mod_depends/mod_depends-0.7.0_p200702041.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils apache-module
+
+DESCRIPTION="An apache helper module for handling dependencies properly"
+SRC_URI="http://upstream.rm-rf.in/${PN}/${P}.tar.bz2"
+HOMEPAGE="http://www.outoforder.cc/projects/apache/mod_depends/"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+APACHE2_MOD_CONF="0.7/09_${PN}"
+APACHE2_MOD_DEFINE="DEPENDS"
+
+need_apache2
+
+src_compile() {
+ econf --with-apxs="${APXS}" || die "configure failed"
+ emake || die "make failed"
+}
+
+src_install() {
+ AP_INCLUDEDIR=$(${APXS} -q INCLUDEDIR)
+
+ insinto ${AP_INCLUDEDIR}
+ doins include/mod_depends.h || die
+
+ mv -v src/.libs/{lib,}mod_depends.so
+
+ apache-module_src_install
+}
+
+# vim:ts=4